Illinois State Board of Education Illinois State Board of Education

IWAS - Minimum Browser Requirements

ISBE is planning on upgrading our minimum browser requirements for IWAS, ECS and other web-based applications beginning October 1, 2007 in order to stay current with advances in technology. Please update your browsers with the latest supported browsers from the list provided below based on your operating system. This will help to prevent any potential browser issues when using ISBE web-based applications.

If you need assistance with upgrading your browser, please contact your technical support personnel. If you have any additional need for technical support, please contact our ISBE Call Center at 217/558-3600 or by clicking here.


Windows Vista, XP, NT, ME, 2003, 2000, 1998

Windows 95

MAC OS X

MAC, MAC68K, PPC



Copyright © Illinois State Board of Education